Changeset 2989 for ThirdParty/Blas


Ignore:
Timestamp:
Oct 15, 2013 11:48:26 PM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/stable/1.3/configure

    r2954 r2989  
    10781078                          (implies --disable-shared)
    10791079  --enable-debug-blas compile project Blas with debug compiler flags
    1080   --enable-doscompile     Under Cygwin, compile so that executables run under
    1081                           DOS. Set to mingw to use gcc/g++/ld with
    1082                           -mno-cygwin. Set to msvc to use cl/link (or
    1083                           icl/link). Default when mentioned: mingw. Default
    1084                           when not mentioned: disabled.
     1080
     1081  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10851082  --disable-pkg-config    disable use of pkg-config (if available)
    10861083  --enable-static[=PKGS]
     
    18731870
    18741871# Get the name of the Fortran compiler and appropriate compiler options
    1875 case $build in
     1872
     1873
     1874  # for backward compatibility
     1875  # Check whether --enable-doscompile or --disable-doscompile was given.
     1876if test "${enable_doscompile+set}" = set; then
     1877  enableval="$enable_doscompile"
     1878  enable_doscompile=$enableval
     1879else
     1880  enable_doscompile=no
     1881fi;
     1882
     1883  # Check whether --enable-msvc or --disable-msvc was given.
     1884if test "${enable_msvc+set}" = set; then
     1885  enableval="$enable_msvc"
     1886  enable_msvc=$enableval
     1887else
     1888  enable_msvc=no
     1889     if test "$enable_doscompile" = msvc ; then
     1890       enable_msvc=yes
     1891     elif test "$enable_doscompile" != no ; then
     1892       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1893echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1894   { (exit 1); exit 1; }; }
     1895     fi
     1896
     1897fi;
     1898
     1899  if test "$enable_msvc" = yes; then
     1900    case $build in
     1901      *-cygwin* | *-mingw*) ;;
     1902      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1903echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1904   { (exit 1); exit 1; }; } ;;
     1905    esac
     1906  fi
     1907
     1908
     1909 case $build in
    18761910  *-mingw*)
    18771911    if test "${LD+set}" = set; then :; else
     
    18801914    ;;
    18811915 esac
    1882  case $enable_doscompile in
    1883    msvc)
    1884      if test "x${LD+set}" = xset; then :; else
    1885        LD=link
    1886      fi
    1887      ;;
    1888  esac
    1889 
    1890 
    1891  # Check whether --enable-doscompile or --disable-doscompile was given.
    1892 if test "${enable_doscompile+set}" = set; then
    1893   enableval="$enable_doscompile"
    1894   if test "$enable_doscompile" != no; then
    1895      case $build in
    1896        *-cygwin* | *-mingw*) ;;
    1897        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1898 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1899    { (exit 1); exit 1; }; } ;;
    1900      esac
     1916 if test $enable_msvc = yes ; then
     1917   if test "x${LD+set}" = xset; then :; else
     1918     LD=link
    19011919   fi
    1902 else
    1903   enable_doscompile=no
    1904 fi;
    1905  case "$enable_doscompile" in
    1906    mingw)
    1907      case $build in
    1908        *-mingw*) enable_doscompile=no ;;
    1909      esac
    1910      ;;
    1911    msvc|no) ;;
    1912    yes) enable_doscompile=mingw ;;
    1913    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1914                     Try configure --help=recursive." >&5
    1915 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1916                     Try configure --help=recursive." >&2;}
    1917    { (exit 1); exit 1; }; }
    1918       ;;
    1919   esac
    1920   if test "$enable_doscompile" != no ; then
    1921     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1922 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1923   fi
     1920 fi
    19241921
    19251922
     
    19641961case $build in
    19651962  *-cygwin* | *-mingw*)
    1966              if test "$enable_doscompile" = msvc ; then
    1967                comps="icl cl"
     1963             if test "$enable_msvc" = yes ; then
     1964               comps="icl cl gcc"
    19681965             else
    1969                comps="gcc cl"
     1966               comps="gcc icl cl"
    19701967             fi ;;
    19711968  *-*-solaris*)
     
    28202817            ;;
    28212818        esac
    2822         case $enable_doscompile in
    2823           mingw)
    2824             CFLAGS="-mno-cygwin"
    2825             cat >conftest.$ac_ext <<_ACEOF
    2826 /* confdefs.h.  */
    2827 _ACEOF
    2828 cat confdefs.h >>conftest.$ac_ext
    2829 cat >>conftest.$ac_ext <<_ACEOF
    2830 /* end confdefs.h.  */
    2831 
    2832 int
    2833 main ()
    2834 {
    2835 int i=0; i++;
    2836   ;
    2837   return 0;
    2838 }
    2839 _ACEOF
    2840 rm -f conftest.$ac_objext conftest$ac_exeext
    2841 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2842   (eval $ac_link) 2>conftest.er1
    2843   ac_status=$?
    2844   grep -v '^ *+' conftest.er1 >conftest.err
    2845   rm -f conftest.er1
    2846   cat conftest.err >&5
    2847   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2848   (exit $ac_status); } &&
    2849          { ac_try='test -z "$ac_c_werror_flag"
    2850                          || test ! -s conftest.err'
    2851   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2852   (eval $ac_try) 2>&5
    2853   ac_status=$?
    2854   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2855   (exit $ac_status); }; } &&
    2856          { ac_try='test -s conftest$ac_exeext'
    2857   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2858   (eval $ac_try) 2>&5
    2859   ac_status=$?
    2860   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2861   (exit $ac_status); }; }; then
    2862   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2863 else
    2864   echo "$as_me: failed program was:" >&5
    2865 sed 's/^/| /' conftest.$ac_ext >&5
    2866 
    2867 fi
    2868 rm -f conftest.err conftest.$ac_objext \
    2869       conftest$ac_exeext conftest.$ac_ext
    2870             CFLAGS=
    2871           ;;
    2872         esac
    28732819    esac
    28742820  fi
     
    32113157  clang* ) ;;
    32123158  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3213     case $build in
     3159
     3160 case $build in
    32143161  *-mingw*)
    32153162    if test "${LD+set}" = set; then :; else
     
    32183165    ;;
    32193166 esac
    3220  case $enable_doscompile in
    3221    msvc)
    3222      if test "x${LD+set}" = xset; then :; else
    3223        LD=link
    3224      fi
    3225      ;;
    3226  esac
     3167 if test $enable_msvc = yes ; then
     3168   if test "x${LD+set}" = xset; then :; else
     3169     LD=link
     3170   fi
     3171 fi
    32273172
    32283173    ;;
     
    32383183case $build in
    32393184  *-cygwin* | *-mingw*)
    3240      if test "$enable_doscompile" = msvc ; then
    3241        coin_f77_comps="ifort fl32 compile_f2c"
     3185     if test "$enable_msvc" = yes ; then
     3186       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32423187     else
    32433188       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34643409
    34653410# Provide some information about the compiler.
    3466 echo "$as_me:3466:" \
     3411echo "$as_me:3411:" \
    34673412     "checking for Fortran 77 compiler version" >&5
    34683413ac_compiler=`set X $ac_compile; echo $2`
     
    36333578    coin_add_fflags="-pipe"
    36343579    coin_dbg_fflags="-g -O0"
    3635     case $enable_doscompile in
    3636       mingw)
    3637         FFLAGS="-mno-cygwin"
    3638         cat >conftest.$ac_ext <<_ACEOF
    3639       program main
    3640       write(*,*) 'Hello world'
    3641       end
    3642 _ACEOF
    3643 rm -f conftest.$ac_objext conftest$ac_exeext
    3644 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3645   (eval $ac_link) 2>conftest.er1
    3646   ac_status=$?
    3647   grep -v '^ *+' conftest.er1 >conftest.err
    3648   rm -f conftest.er1
    3649   cat conftest.err >&5
    3650   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3651   (exit $ac_status); } &&
    3652          { ac_try='test -z "$ac_f77_werror_flag"
    3653                          || test ! -s conftest.err'
    3654   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3655   (eval $ac_try) 2>&5
    3656   ac_status=$?
    3657   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3658   (exit $ac_status); }; } &&
    3659          { ac_try='test -s conftest$ac_exeext'
    3660   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3661   (eval $ac_try) 2>&5
    3662   ac_status=$?
    3663   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3664   (exit $ac_status); }; }; then
    3665   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3666 else
    3667   echo "$as_me: failed program was:" >&5
    3668 sed 's/^/| /' conftest.$ac_ext >&5
    3669 
    3670 fi
    3671 rm -f conftest.err conftest.$ac_objext \
    3672       conftest$ac_exeext conftest.$ac_ext
    3673         FFLAGS=
    3674       ;;
    3675     esac
    36763580  else
    36773581    case $build in
     
    39653869case "$F77" in
    39663870  ifort* | */ifort* | IFORT* | */IFORT*)
    3967     case $build in
     3871
     3872 case $build in
    39683873  *-mingw*)
    39693874    if test "${LD+set}" = set; then :; else
     
    39723877    ;;
    39733878 esac
    3974  case $enable_doscompile in
    3975    msvc)
    3976      if test "x${LD+set}" = xset; then :; else
    3977        LD=link
    3978      fi
    3979      ;;
    3980  esac
     3879 if test $enable_msvc = yes ; then
     3880   if test "x${LD+set}" = xset; then :; else
     3881     LD=link
     3882   fi
     3883 fi
    39813884
    39823885    ;;
     
    40453948ac_save_FFLAGS=$FFLAGS
    40463949FFLAGS="$FFLAGS $ac_verb"
    4047 (eval echo $as_me:4047: \"$ac_link\") >&5
     3950(eval echo $as_me:3950: \"$ac_link\") >&5
    40483951ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40493952echo "$ac_f77_v_output" >&5
     
    41234026ac_save_FFLAGS=$FFLAGS
    41244027FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4125 (eval echo $as_me:4125: \"$ac_link\") >&5
     4028(eval echo $as_me:4028: \"$ac_link\") >&5
    41264029ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41274030echo "$ac_f77_v_output" >&5
     
    67336636*-*-irix6*)
    67346637  # Find out which ABI we are using.
    6735   echo '#line 6735 "configure"' > conftest.$ac_ext
     6638  echo '#line 6638 "configure"' > conftest.$ac_ext
    67366639  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    67376640  (eval $ac_compile) 2>&5
     
    92109113   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    92119114   -e 's:$: $lt_compiler_flag:'`
    9212    (eval echo "\"\$as_me:9212: $lt_compile\"" >&5)
     9115   (eval echo "\"\$as_me:9115: $lt_compile\"" >&5)
    92139116   (eval "$lt_compile" 2>conftest.err)
    92149117   ac_status=$?
    92159118   cat conftest.err >&5
    9216    echo "$as_me:9216: \$? = $ac_status" >&5
     9119   echo "$as_me:9119: \$? = $ac_status" >&5
    92179120   if (exit $ac_status) && test -s "$ac_outfile"; then
    92189121     # The compiler can only warn and ignore the option if not recognized
     
    94789381   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94799382   -e 's:$: $lt_compiler_flag:'`
    9480    (eval echo "\"\$as_me:9480: $lt_compile\"" >&5)
     9383   (eval echo "\"\$as_me:9383: $lt_compile\"" >&5)
    94819384   (eval "$lt_compile" 2>conftest.err)
    94829385   ac_status=$?
    94839386   cat conftest.err >&5
    9484    echo "$as_me:9484: \$? = $ac_status" >&5
     9387   echo "$as_me:9387: \$? = $ac_status" >&5
    94859388   if (exit $ac_status) && test -s "$ac_outfile"; then
    94869389     # The compiler can only warn and ignore the option if not recognized
     
    95829485   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95839486   -e 's:$: $lt_compiler_flag:'`
    9584    (eval echo "\"\$as_me:9584: $lt_compile\"" >&5)
     9487   (eval echo "\"\$as_me:9487: $lt_compile\"" >&5)
    95859488   (eval "$lt_compile" 2>out/conftest.err)
    95869489   ac_status=$?
    95879490   cat out/conftest.err >&5
    9588    echo "$as_me:9588: \$? = $ac_status" >&5
     9491   echo "$as_me:9491: \$? = $ac_status" >&5
    95899492   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    95909493   then
     
    1199911902  lt_status=$lt_dlunknown
    1200011903  cat > conftest.$ac_ext <<EOF
    12001 #line 12001 "configure"
     11904#line 11904 "configure"
    1200211905#include "confdefs.h"
    1200311906
     
    1209912002  lt_status=$lt_dlunknown
    1210012003  cat > conftest.$ac_ext <<EOF
    12101 #line 12101 "configure"
     12004#line 12004 "configure"
    1210212005#include "confdefs.h"
    1210312006
     
    1445914362   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1446014363   -e 's:$: $lt_compiler_flag:'`
    14461    (eval echo "\"\$as_me:14461: $lt_compile\"" >&5)
     14364   (eval echo "\"\$as_me:14364: $lt_compile\"" >&5)
    1446214365   (eval "$lt_compile" 2>conftest.err)
    1446314366   ac_status=$?
    1446414367   cat conftest.err >&5
    14465    echo "$as_me:14465: \$? = $ac_status" >&5
     14368   echo "$as_me:14368: \$? = $ac_status" >&5
    1446614369   if (exit $ac_status) && test -s "$ac_outfile"; then
    1446714370     # The compiler can only warn and ignore the option if not recognized
     
    1456314466   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1456414467   -e 's:$: $lt_compiler_flag:'`
    14565    (eval echo "\"\$as_me:14565: $lt_compile\"" >&5)
     14468   (eval echo "\"\$as_me:14468: $lt_compile\"" >&5)
    1456614469   (eval "$lt_compile" 2>out/conftest.err)
    1456714470   ac_status=$?
    1456814471   cat out/conftest.err >&5
    14569    echo "$as_me:14569: \$? = $ac_status" >&5
     14472   echo "$as_me:14472: \$? = $ac_status" >&5
    1457014473   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1457114474   then
     
    1613316036   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1613416037   -e 's:$: $lt_compiler_flag:'`
    16135    (eval echo "\"\$as_me:16135: $lt_compile\"" >&5)
     16038   (eval echo "\"\$as_me:16038: $lt_compile\"" >&5)
    1613616039   (eval "$lt_compile" 2>conftest.err)
    1613716040   ac_status=$?
    1613816041   cat conftest.err >&5
    16139    echo "$as_me:16139: \$? = $ac_status" >&5
     16042   echo "$as_me:16042: \$? = $ac_status" >&5
    1614016043   if (exit $ac_status) && test -s "$ac_outfile"; then
    1614116044     # The compiler can only warn and ignore the option if not recognized
     
    1623716140   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1623816141   -e 's:$: $lt_compiler_flag:'`
    16239    (eval echo "\"\$as_me:16239: $lt_compile\"" >&5)
     16142   (eval echo "\"\$as_me:16142: $lt_compile\"" >&5)
    1624016143   (eval "$lt_compile" 2>out/conftest.err)
    1624116144   ac_status=$?
    1624216145   cat out/conftest.err >&5
    16243    echo "$as_me:16243: \$? = $ac_status" >&5
     16146   echo "$as_me:16146: \$? = $ac_status" >&5
    1624416147   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1624516148   then
     
    1844418347   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1844518348   -e 's:$: $lt_compiler_flag:'`
    18446    (eval echo "\"\$as_me:18446: $lt_compile\"" >&5)
     18349   (eval echo "\"\$as_me:18349: $lt_compile\"" >&5)
    1844718350   (eval "$lt_compile" 2>conftest.err)
    1844818351   ac_status=$?
    1844918352   cat conftest.err >&5
    18450    echo "$as_me:18450: \$? = $ac_status" >&5
     18353   echo "$as_me:18353: \$? = $ac_status" >&5
    1845118354   if (exit $ac_status) && test -s "$ac_outfile"; then
    1845218355     # The compiler can only warn and ignore the option if not recognized
     
    1871218615   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1871318616   -e 's:$: $lt_compiler_flag:'`
    18714    (eval echo "\"\$as_me:18714: $lt_compile\"" >&5)
     18617   (eval echo "\"\$as_me:18617: $lt_compile\"" >&5)
    1871518618   (eval "$lt_compile" 2>conftest.err)
    1871618619   ac_status=$?
    1871718620   cat conftest.err >&5
    18718    echo "$as_me:18718: \$? = $ac_status" >&5
     18621   echo "$as_me:18621: \$? = $ac_status" >&5
    1871918622   if (exit $ac_status) && test -s "$ac_outfile"; then
    1872018623     # The compiler can only warn and ignore the option if not recognized
     
    1881618719   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1881718720   -e 's:$: $lt_compiler_flag:'`
    18818    (eval echo "\"\$as_me:18818: $lt_compile\"" >&5)
     18721   (eval echo "\"\$as_me:18721: $lt_compile\"" >&5)
    1881918722   (eval "$lt_compile" 2>out/conftest.err)
    1882018723   ac_status=$?
    1882118724   cat out/conftest.err >&5
    18822    echo "$as_me:18822: \$? = $ac_status" >&5
     18725   echo "$as_me:18725: \$? = $ac_status" >&5
    1882318726   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1882418727   then
     
    2175021653echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2175121654coin_link_input_cmd="$LN_S"
    21752 if test "$enable_doscompile" = mingw; then
    21753   coin_link_input_cmd=cp
    21754 fi
    2175521655case "$CC" in
    2175621656  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.